## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global pypi_name matplotlib-venn
%global forgeurl https://github.com/konstantint/%{pypi_name}

%global _description %{expand:
Venn diagram plotting routines for Python/Matplotlib. The package
provides four main functions: venn2, venn2_circles, venn3 and
venn3_circles.}


Name:           python-%{pypi_name}
Version:        0.11.9
Release:        %autorelease
Summary:        Routines for plotting area-weighted two- and three-circle venn diagrams
%global tag %{version}
%forgemeta
License:        MIT
URL:            %forgeurl
Source0:        %forgesource
Patch:          https://github.com/konstantint/matplotlib-venn/pull/70.patch

BuildArch:      noarch

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  make
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files matplotlib_venn

%check
%if %{with tests}
%pytest
%endif

%files -n python3-matplotlib-venn -f %{pyproject_files}
%doc README.rst DEVELOPER-README.rst CHANGELOG.txt

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 07 2023 Sandro <devel@penguinpee.nl> - 0.11.9-1
- Update to 0.11.9 (RHBZ#2226243)
- Use forge macros pulling from GitHub

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.11.7-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 20 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.7-3
- Fix compatibility with Matplotlib 3.6.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.11.7-2
- Rebuilt for Python 3.11

* Wed Apr 6 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.11.7-1
- Initial package

## END: Generated by rpmautospec
